import { defineComponent, ref, PropType, watch, onMounted, computed } from 'vue'
import { useI18n } from '@src/boot/i18n'
import { useUserStore } from '@store/UserStore'
import { useQuasar } from 'quasar'
import { IGallery, IImgGallery } from 'model'
import { CMyPage } from '@/components/CMyPage'
import { tools } from '@store/Modules/tools'
import { useGlobalStore } from '@store/globalStore'
import { costanti } from '@costanti'

export default defineComponent({
  name: 'CGalleryImages',
  props: {
    imgGallery: {
      type: Object as PropType<IImgGallery[] | string | undefined | null>,
      required: true,
    },
    directory: {
      type: String,
      required: true,
    }
  },
  components: { CMyPage },
  setup(props, { emit }) {
    const $q = useQuasar()
    const { t } = useI18n()
    const userStore = useUserStore()
    const globalStore = useGlobalStore()

    const slide = ref(0)
    const autoplay = ref(5000)

    return {
      tools,
      costanti,
      slide,
      autoplay,
    }
  }
})
